Bug 441547 - system-config-network ignores DNS settings of wlan interface (iwl3945)
system-config-network ignores DNS settings of wlan interface (iwl3945)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 13:56 EDT by Kamil J. Dudek
Modified: 2010-06-28 06:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil J. Dudek 2008-04-08 13:56:59 EDT
Description of problem:
system-config-network ignores DNS settings of wlan interface (iwl3945). Despite
this network adapter just can't easily "out-of-box" catch and use DNS
properly(sometimes works, sometimes not), the DNS settings should be applicable.
Thery are not.


How reproducible:
Everytime when wlan0 is activated.

Steps to Reproduce:
1. Be sure that NetworkManager and company services are up and running
2. Activate wlan0
3. Interface probably, even succesfully connected to AP, doesn't work properly.
Ping via IP works, ping via domain name address does not. Addresses are catched
properly
4. Try to force wlan0 not to take IP. Edit wlan0 and uncheck "Automatically take
 IP information from provider.". Enter own DNS addresses in "DNS" tab. Save alle
the stuff.
In my case, main local DNS IP address was improper due to mulfunctioning
network. But it turned out that any DNS works well. On Lenovo R61i, R61 and 3000
N200.
5. Restart all network services so they can use new settings. 
6. Use NetworkManager icon to connect to AP and wait.
7. When completed - look at assigned IPs of gateway and - of course - DNS. They
are not the ones from DNS tab in s-c-n. 

  
Actual results:
Look at DNS tab now. The IP of primary DNS is now again the one from NetworkManager.

Expected results:
There should be the IP entered manually. Settings of wlan0 were changed.

Additional info:
I was trying to get rid of automatically assigned 10.1.1.1 address of local DNS.
It was damaged, so I wanted to use default Polish Telecom DNS - 194.204.159.1
I failed.
Comment 1 Kamil J. Dudek 2008-04-08 14:03:16 EDT
"In my case, main local DNS IP address was improper due to mulfunctioning
network. But it turned out that any DNS works well. On Lenovo R61i, R61 and 3000
N200."

there should be: any DNS that works well also fails.
Sorry, tired.
Comment 2 Bug Zapper 2008-11-26 05:26:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:21:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Kamil J. Dudek 2009-04-10 08:00:30 EDT
The problem occurs also on Ubuntu and Mandriva. I'm very surprised that it's not mentioned anywhere.


But I've figured that it happens mostly with D-Link access points. Moreover - Vista SP1 has the same problem, while XP does not. So this is rather a hardware issue but it's kinda insolvable.

Anyone knows something more?
Comment 5 Bug Zapper 2009-06-09 05:32:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 07:59:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 06:34:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.